<?PHP
#
# Clasa s funkcijama za rad s MYSQLi setom naredbi i MySQLom 4.1.x + 
#
# Author: Dubravko.Penezic@srce.hr
#

class database {

   public $ip;          /* IP adresa MySQL servera */
   public $port;        /* port MySQL servera */
   public $name;        /* korisnicko ime za spajanje na bazu podataka */
   public $pass;        /* korisnicka lozinka za spajanje na bazu podataka */
   public $db;          /* ime baze podataka */
   public $link;        /* linka na MySQL otvorenu konekciju */
   public $resarr;              /* polje s rezultatima [0] je broj redaka */


/* function db_connect()
   funkcija se spaja na bazu podataka s predefiniranim postavkama, te vraca
   link na objek veze na konekciju ili FALSE ako nije uspjelo spajanje uz 
   ispis zasto nije uspjelo spajanje    
*/
   public function db_connect() {
     
         $link = @mysqli_connect($this->ip, $this->name, $this->pass, $this->db, $this->port);

     /* provjera konekcije */
     if (!$link) {
       printf("Greska prilikom spajanja na bazu: %s\n", mysqli_connect_error());
       mysqli_close($link);       
           return FALSE;
     }
     $this->link=$link;
     return TRUE;

   }

/* function db_query($sql)
   funkcija izvrsava zadani SQL upit, te ovisno o rezultatu prosljedjuje isti u assoc polje.
   Ako je SQL uspjesno izvrsen, funkcija vraca TRUE inace FALSE.
*/
   public function db_query($sql) {
     
         $this->resarr=Array();
         $this->resarr[0]=0;

         if(!($result = @mysqli_query($this->link,$sql))) {
       printf("Greska prilikom izvrsenja SQL-a ::%s:: : %s\n", $sql, mysqli_error($this->link));
           mysqli_free_result($result);
           return FALSE;
         }
     else {
       if(!($result === TRUE)) {
         if(mysqli_num_rows($result) > 0) {
           $this->resarr[0]=mysqli_num_rows($result);
                   $br=1;
               while ($row = mysqli_fetch_assoc($result)) {
             $this->resarr[$br]=$row;
                     $br++;
           }
                   $br--;
                   $this->resarr[0]=$br;
             }
         mysqli_free_result($result);
       }
           return TRUE;
         }
   }

   public function db_esc($tmp) {
   }

   public function db_close() {
     mysqli_close($this->link);
         return TRUE;
   }

}
?>
